echo " security-database - SSA Project - Testing the Integration of OVAL into BT3"
echo " * Downloading OVAL Intepreter ...."
wget http://kent.dl.sourceforge.net/sourceforge/ovaldi/ovaldi-5.4.2-1.el4.i386.rpm"
echo " * Download OVAL libs ..."
wget http://surfnet.dl.sourceforge.net/sourceforge/ovaldi/ovaldi-libs-5.4.2-1.el4.i386.rpm
echo " * Creating Ovaldi Interpreter TGZ file..."
rpm2tgz ovaldi-5.4.2-1.el4.i386.rpm
echo " * Creating Ovaldi Libs TGZ file ..."
rpm2tgz ovaldi-libs-5.4.2-1.el4.i386.rpm

echo " * Installing packages using the pkgtool, please choose 'Current' ..."

pkgtool

echo " * Copying essential ovaldi libs to /lib ..."
cp /usr/lib/ovaldi/libxerces-c.so.27.0 /lib
cp /usr/lib/ovaldi/libxalan-c.so.110.0 /lib
cp /usr/lib/ovaldi/libxalanMsg.so.110.0 /lib

echo " * Adding lib to ld conf ..."
echo "/usr/lib/ovaldi" >> /etc/ld.so.conf
ldconfig

echo " * Copying some essential rpm libs to /lib ..."

cp /usr/lib/librpm-4.2.so /lib/librpm-4.3.so
cp /usr/lib/librpmdb-4.2.so /lib/librpmdb-4.3.so
cp /usr/lib/librpmio-4.2.so /lib/librpmio-4.3.so

echo "---------------------------------------------------"
echo "Run ovaldi intepreter, it should work." 
echo "Dont forget to download xml definitions from either" 
echo "oval.mitre.org or security-database.com .."
echo "---------------------------------------------------"
echo "Easy syntax : ovaldi -o here_a_linux_definition.xml -m"
